%define tarname MarkupSafe
%define name	python-markupsafe
%define version 0.18
%define release %mkrel 3

%define enable_tests 1

Summary:	XML/HTML/XHTML markup safe string package for Python
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/M/MarkupSafe/%{tarname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://pypi.python.org/pypi/MarkupSafe
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python-setuptools
%if %enable_tests
BuildRequires:	python-nose
BuildRequires:	python3-nose
%endif
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

%description
This package implements a XML/HTML/XHTML markup safe string for Python.

%package -n python3-markupsafe
Summary:	XML/HTML/XHTML markup safe string package for Python
Group:		Development/Python

%description -n python3-markupsafe
This package implements a XML/HTML/XHTML markup safe string for Python3.

%prep
%setup -q -n %{tarname}-%{version}
rm -rf %{py3dir}
cp -a . %{py3dir}
2to3 --write --nobackups %{py3dir}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT/%{python3_sitearch}/markupsafe/*.c
popd

%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# C code errantly gets installed
rm $RPM_BUILD_ROOT/%{python_sitearch}/markupsafe/*.c

%check
%if %enable_tests
%{__python} setup.py test
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%doc AUTHORS LICENSE README.rst
%{python_sitearch}/*

%files -n python3-markupsafe
%doc AUTHORS LICENSE README.rst
%{python3_sitearch}/*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.18-3.mga4
+ Revision: 543733
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.18-2.mga4
+ Revision: 498895
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 02 2013 philippem <philippem> 0.18-1.mga4
+ Revision: 449661
- update to 0.18, add Python3

* Sun Jan 13 2013 umeabot <umeabot> 0.15-2.mga3
+ Revision: 379116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 philippem <philippem> 0.15-1.mga3
+ Revision: 290064
- New upstream release 0.15

* Sat Apr 16 2011 ahmad <ahmad> 0.12-1.mga1
+ Revision: 86850
- update to 0.12

* Mon Feb 21 2011 ahmad <ahmad> 0.11-5.mga1
+ Revision: 55153
- rebuild so that pythonegg provides are lowercase
- enable tests

* Sun Jan 16 2011 ahmad <ahmad> 0.11-4.mga1
+ Revision: 20626
- rebuild for python-2.7

* Thu Jan 13 2011 ahmad <ahmad> 0.11-3.mga1
+ Revision: 8327
- drop the old %%py_requires macro and add BR python-devel
- imported package python-markupsafe


* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 0.11-2mdv2011.0
+ Revision: 590386
- disable test, like for sphinx ( bootstraping for python 2.7 )
- rebuild for python 2.7

* Wed Oct 20 2010 Lev Givon <lev@mandriva.org> 0.11-1mdv2011.0
+ Revision: 587008
- Update to 0.11.

* Tue Aug 17 2010 Lev Givon <lev@mandriva.org> 0.9.3-1mdv2011.0
+ Revision: 571051
- Update to 0.9.3.

* Sun Aug 08 2010 Crispin Boylan <crisb@mandriva.org> 0.9.2-1mdv2011.0
+ Revision: 567631
- New package
- create python-markupsafe

